Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.cache
Class HttpCacheEntrySerializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.http.client.cache.HttpCacheEntrySerializationException

All Implemented Interfaces:
  Serializable

    public class HttpCacheEntrySerializationException

extends IOException

Thrown if serialization or deserialization of an `HttpCacheEntry` fails.

See Also:
  Serialized Form

Constructor Summary
`HttpCacheEntrySerializationException(String message)`
`HttpCacheEntrySerializationException(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpCacheEntrySerializationException

    public HttpCacheEntrySerializationException(String message)

### HttpCacheEntrySerializationException

    public HttpCacheEntrySerializationException(String message,
                                                Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.